let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const signUpApi = async (
  userName: string,
  Email: string,
  Password: Object,
  organization: Object
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/V1/Auth/signup`, {
      method: "POST",
      headers: { "Content-Type": "application/json", },
      body: JSON.stringify({ userName, Email, Password, organization }),
    });

    if (!response.ok) {
      console.error("Failed to signUpApi");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to sign-up");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
